Get a list of reviews

This endpoint retrieves reviews for a specific channel, a set of channels or for your entire account.

The result set can be modified using a set of filters.

Query parameters can be added to the request, separated by &.

Conceptually, there are two types of categories for the query parameters: actual filter parameters on the one hand, channels, rating, submittedAfter and submittedBefore, and pagination parameters on the other, count, after and before.
See our guide on paginating response data for more information.

Custom Widget Implementation: Please note the response may include rejected reviews when using a custom widget. To prevent these from appearing, filter out reviews with the status attribute set to REJECTED.

Query Params
channels
array of strings

The list of channels for which the list of reviews will be returned.

Example: channels=chl-xxxxxxxx-yyyy-xxxx-yyyy-xxxxxxxxxxx1,chl-xxxxxxxx-yyyy-xxxx-yyyy-xxxxxxxxxxx2

channels
string

after is a review ID. The list of reviews in the response will only contain reviews submitted earlier than the review with this ID.

Example: rev-xxxxxxxa-yyyy-xxxx-yyyy-xxxxxxxxxxxx

string

before is a review ID. The list of reviews in the response will only contain reviews submitted later than the review with this ID.

Example: rev-xxxxxxxb-yyyy-xxxx-yyyy-xxxxxxxxxxxx

string

submittedAfter is a timestamp in the ISO 8601 and RFC3339 compliant format yyyy-MM-dd’T’HH:mm:ss.SSSZ. Check the glossary for examples of valid datetime formats.
The list of reviews will only contain reviews submitted with a later timestamp.

Example: 2018-02-01T17:10:42.733Z

string

submittedBefore is a timestamp in the ISO 8601 and RFC3339 compliant format yyyy-MM-dd’T’HH:mm:ss.SSSZ. Check the glossary for examples of valid datetime formats.
The list of reviews will only contain reviews submitted with an earlier timestamp.

Example: 2018-02-01T17:10:42.733Z

integer
Defaults to 50

The desired number of customer reviews to be retrieved per page.

NB: This can be set to any number from 1 to 1000 with 1000 being the maximum number of records you can get per a page

rating
array of integers
length between 1 and 5

A comma-separated list of star ratings to be retrieved. If not set, all reviews are listed.

Example: 1, 2, 5

rating
status
array of strings

A comma-separated list of statuses to be retrieved. If not set, all reviews are listed.

The statuses you can filter for are:

  • APPROVED
  • MODERATION
  • REJECTED

Example: APPROVED, MODERATION

See our glossary entry for more information on review statuses.

status
type
array of strings

A comma-separated list of review types to be retrieved.
If not set, all reviews are listed.

The review types are:

  • SERVICE_REVIEW
  • PRODUCT_REVIEW

Example: PRODUCT_REVIEW

See our glossary entry for more information on review states.

type
boolean

Reduces the list of reviews to only match reviews that either have been replied to or not. If not set, all reviews are listed.

Example: true

additionalInformation
array of strings
length ≥ 1

A comma-separated list of additional pieces of information to be retrieved with the review.

If this property is not set, none of the of additional information are included in the review.

Currently there are the following valid additional information types:

  • VETO, which holds information about a veto by our customer
  • ATTACHMENTS, which hold information about file attachments for this review

Example: [VETO]

additionalInformation
boolean

Filters the list to ignore statements.
Default is true.

string

A full-text search query that is matched against the order reference and email properties.

sku
array of strings

A comma-separated list of product's SKUs. Be aware, that this parameter does only make sense for product reviews.

sku
string

Specify the date to sort the returned list of reviews by. Possible options:

  • editedAt: This is the date when the consumer last changed the review.It sorts the reviews in descending order using the lastEditedAt date
  • updatedAt:This is the date when the review was last updated. It sorts the reviews in descending order using the updatedAt date
  • submittedAt: This is the date when the review was created by the consumer. Reviews will be sorted by default in descending order using the submittedAt date if the orderBy parameter is not set or set to a non existing value.
Headers
string
required

An OAuth2 authorization header with an access token, see OAuth2

Responses

401

Unauthorized

403

Forbidden

404

Not found

Language
Response
Choose an example:
application/json